Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class FindCommentedClassificationRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.dics.protocol.v5.DicsRequestType
              be.fgov.ehealth.dics.protocol.v5.FindCommentedClassificationRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:56+01:00",
               comments="JAXB RI v2.2.11")
    public class FindCommentedClassificationRequest

extends DicsRequestType
implements Serializable

Java class for FindCommentedClassificationRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindCommentedClassificationRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsRequestType">
           <choice>
             <element name="FindByCommentedClassification" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByCommentedClassificationType"/>
             <element name="FindByProduct" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByVirtualProductType"/>
           </choice>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FindCommentedClassificationRequest()`

Method Summary
`FindByCommentedClassificationType` | `getFindByCommentedClassification()` Gets the value of the findByCommentedClassification property.
`FindByVirtualProductType` | `getFindByProduct()` Gets the value of the findByProduct property.
`void` | `setFindByCommentedClassification(FindByCommentedClassificationType value)` Sets the value of the findByCommentedClassification property.
`void` | `setFindByProduct(FindByVirtualProductType value)` Sets the value of the findByProduct property.

Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsRequestType
`getSearchDate, setSearchDate`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindCommentedClassificationRequest

    public FindCommentedClassificationRequest()

Method Detail

### getFindByProduct

    public FindByVirtualProductType getFindByProduct()

  Gets the value of the findByProduct property.

  Returns:
    possible object is `FindByVirtualProductType`

### setFindByProduct

    public void setFindByProduct(FindByVirtualProductType value)

  Sets the value of the findByProduct property.

  Parameters:
    `value` - allowed object is `FindByVirtualProductType`

### getFindByCommentedClassification

    public FindByCommentedClassificationType getFindByCommentedClassification()

  Gets the value of the findByCommentedClassification property.

  Returns:
    possible object is `FindByCommentedClassificationType`

### setFindByCommentedClassification

    public void setFindByCommentedClassification(FindByCommentedClassificationType value)

  Sets the value of the findByCommentedClassification property.

  Parameters:
    `value` - allowed object is `FindByCommentedClassificationType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.